summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-10 21:28:36 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-11 08:59:49 +0200
commit5ff08990e972ccd99e36e94e44746710b95adba4 (patch)
tree04a09ed3f52ba082354d61ba078cc9f12d3444ae /source/xap
parentf58aff2430624d43f64162ea66101f0ed804755f (diff)
downloadcurrent-5ff08990e972ccd99e36e94e44746710b95adba4.tar.gz
current-5ff08990e972ccd99e36e94e44746710b95adba4.tar.xz
Tue Sep 10 21:28:36 UTC 201920190910212836
a/glibc-solibs-2.30-x86_64-1.txz: Upgraded. a/kernel-firmware-20190909_6c6918a-noarch-1.txz: Upgraded. a/kernel-generic-4.19.72-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.72-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.72-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.72-x86-1.txz: Upgraded. k/kernel-source-4.19.72-noarch-1.txz: Upgraded. l/gdk-pixbuf2-2.38.2-x86_64-1.txz: Upgraded. l/glibc-2.30-x86_64-1.txz: Upgraded. l/glibc-i18n-2.30-x86_64-1.txz: Upgraded. l/glibc-profile-2.30-x86_64-1.txz: Upgraded. n/libmilter-8.15.2-x86_64-3.txz: Rebuilt. Use gethostbyname2() since RES_USE_INET6 is removed in glibc-2.30. n/libqmi-1.22.6-x86_64-1.txz: Upgraded. n/postfix-3.4.6-x86_64-2.txz: Rebuilt. Patched to fix removed macros in glibc-2.30. n/yptools-2.14-x86_64-12.txz: Rebuilt. Patched ypbind-mt for gettid() included in glibc-2.30. xap/blackbox-0.75-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/xap')
-rw-r--r--source/xap/FTBFSlog6
-rwxr-xr-xsource/xap/blackbox/blackbox.SlackBuild4
-rwxr-xr-xsource/xap/gftp/gftp.SlackBuild2
-rw-r--r--source/xap/gftp/gftp.glibc-2.30.diff13
-rwxr-xr-xsource/xap/mozilla-firefox/mozilla-firefox.SlackBuild4
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
-rw-r--r--source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff10
-rwxr-xr-xsource/xap/seamonkey/seamonkey.SlackBuild3
-rw-r--r--source/xap/seamonkey/seamonkey.gettid.patch15
9 files changed, 56 insertions, 4 deletions
diff --git a/source/xap/FTBFSlog b/source/xap/FTBFSlog
index 439fc1198..4661e1ad9 100644
--- a/source/xap/FTBFSlog
+++ b/source/xap/FTBFSlog
@@ -1,3 +1,9 @@
+Tue Sep 10 16:55:23 UTC 2019
+ gftp: patch to fix breakage from removal of stropts.h in glibc-2.30.
+ mozilla-firefox: Compile with gcc/g++ for glibc-2.30.
+ mozilla-thunderbird: Fix for glibc-2.30's included gettid().
+ seamonkey: Fix for glibc-2.30's included gettid().
++--------------------------+
Mon May 20 20:36:17 UTC 2019
seamonkey: compile with:
-Wformat -Wno-format-overflow -fno-delete-null-pointer-checks
diff --git a/source/xap/blackbox/blackbox.SlackBuild b/source/xap/blackbox/blackbox.SlackBuild
index 2246e8cc3..9768b20cd 100755
--- a/source/xap/blackbox/blackbox.SlackBuild
+++ b/source/xap/blackbox/blackbox.SlackBuild
@@ -27,9 +27,9 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=blackbox
SRCNAM=blackbox
-VERSION=${VERSION:-0.74}
+VERSION=${VERSION:-0.75}
BBKEYSVER=${BBKEYSVER:-0.9.1}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/xap/gftp/gftp.SlackBuild b/source/xap/gftp/gftp.SlackBuild
index a87db0639..1ab04df35 100755
--- a/source/xap/gftp/gftp.SlackBuild
+++ b/source/xap/gftp/gftp.SlackBuild
@@ -72,6 +72,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/gftp.glibc-2.30.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
diff --git a/source/xap/gftp/gftp.glibc-2.30.diff b/source/xap/gftp/gftp.glibc-2.30.diff
new file mode 100644
index 000000000..efefcfe2b
--- /dev/null
+++ b/source/xap/gftp/gftp.glibc-2.30.diff
@@ -0,0 +1,13 @@
+--- ./lib/pty.c.orig 2007-03-12 20:56:43.000000000 -0500
++++ ./lib/pty.c 2019-08-19 17:30:51.858199288 -0500
+@@ -61,10 +61,6 @@
+
+ #elif HAVE_GRANTPT
+
+-#if !(defined(__FreeBSD__) || defined(__NetBSD__) || defined(__APPLE__))
+-#include <stropts.h>
+-#endif
+-
+ char *
+ gftp_get_pty_impl (void)
+ {
diff --git a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index 857e3ef5d..92bdc7e03 100755
--- a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -75,8 +75,8 @@ if [ "$(uname -m)" = "x86_64" -a "$(file -L /usr/bin/gcc | grep 80386 | grep 32-
fi
# Choose a compiler (gcc/g++ or clang/clang++):
-export CC=${CC:-clang}
-export CXX=${CXX:-clang++}
+export CC=${CC:-gcc}
+export CXX=${CXX:-g++}
# Keep memory usage as low as possible when linking:
SLKLDFLAGS=" -Wl,--as-needed -Wl,--no-keep-memory -Wl,--stats"
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index b03c373b7..6047eb6ec 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -164,6 +164,9 @@ zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
# Fix building with latest Rust:
zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
+# Fix for glibc-2.30's new gettid() definition:
+zcat $CWD/mozilla-thunderbird.gettid.diff.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff b/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff
new file mode 100644
index 000000000..83d607a5d
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff
@@ -0,0 +1,10 @@
+--- ./tools/profiler/core/platform.h.orig 2019-07-03 10:25:38.000000000 -0500
++++ ./tools/profiler/core/platform.h 2019-08-20 13:15:02.648307043 -0500
+@@ -47,7 +47,6 @@
+ #if defined(__GLIBC__)
+ #include <unistd.h>
+ #include <sys/syscall.h>
+-static inline pid_t gettid() { return (pid_t)syscall(SYS_gettid); }
+ #elif defined(GP_OS_darwin)
+ #include <unistd.h>
+ #include <sys/syscall.h>
diff --git a/source/xap/seamonkey/seamonkey.SlackBuild b/source/xap/seamonkey/seamonkey.SlackBuild
index 71712cd63..aa7c2cc5b 100755
--- a/source/xap/seamonkey/seamonkey.SlackBuild
+++ b/source/xap/seamonkey/seamonkey.SlackBuild
@@ -109,6 +109,9 @@ cd seamonkey-${TARBALLVER} || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/sm.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
+# Fix for glibc-2.30's included gettid():
+zcat $CWD/seamonkey.gettid.patch.gz | patch -p1 --verbose || exit 1
+
# Don't complain if Rust is i686:
zcat $CWD/seamonkey.i686.triplet.fix.diff.gz | patch -p1 --verbose || exit 1
diff --git a/source/xap/seamonkey/seamonkey.gettid.patch b/source/xap/seamonkey/seamonkey.gettid.patch
new file mode 100644
index 000000000..81d5eabf9
--- /dev/null
+++ b/source/xap/seamonkey/seamonkey.gettid.patch
@@ -0,0 +1,15 @@
+diff -Nrbu seamonkey-2.49.4/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h seamonkey-2.49.4-OK/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h
+--- seamonkey-2.49.4/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h 2018-07-12 05:19:15.000000000 +0300
++++ seamonkey-2.49.4-OK/seamonkey-2.49.4/mozilla/tools/profiler/core/platform.h 2019-07-27 20:31:47.675086876 +0300
+@@ -65,10 +65,7 @@
+ #include <unistd.h>
+ #if !defined(__BIONIC__)
+ #include <sys/syscall.h>
+-static inline pid_t gettid()
+-{
+- return (pid_t) syscall(SYS_gettid);
+-}
++
+ #endif
+ #endif
+